io.undertow.server.handlers.accesslog

## Class JBossLoggingAccessLogReceiver

- java.lang.Object
- - io.undertow.server.handlers.accesslog.JBossLoggingAccessLogReceiver

All Implemented Interfaces:
  AccessLogReceiver

    public class JBossLoggingAccessLogReceiver
    extends Object
    implements AccessLogReceiver

Access log receiver that logs messages at INFO level.

Author:
  Stuart Douglas

### Field Summary

Fields
`static String` `DEFAULT_CATEGORY`

### Constructor Summary

Constructors
Constructor and Description
`JBossLoggingAccessLogReceiver()`
`JBossLoggingAccessLogReceiver(String category)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `logMessage(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_CATEGORY

    public static final String DEFAULT_CATEGORY

See Also:
  Constant Field Values

### Constructor Detail

#### JBossLoggingAccessLogReceiver

    public JBossLoggingAccessLogReceiver(String category)

#### JBossLoggingAccessLogReceiver

    public JBossLoggingAccessLogReceiver()

### Method Detail

#### logMessage

    public void logMessage(String message)

Specified by:
  `logMessage` in interface `AccessLogReceiver`